VIGRA - TemplateCoscotFunction class Reference

[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| CoscotFunction Class Template Reference |
--- | --- | ---

`#include "vigra/resizeimage.hxx"`

## Public Types
typedef T | value_type
typedef T | argument_type
typedef T | result_type
## Public Methods
result_type | operator() (argument_type x) const
value_type | operator[] (value_type x) const
double | radius () const
unsigned int | derivativeOrder () const
ArrayVector< double > const & | prefilterCoefficients () const

## Detailed Description

### template<class T>
class vigra::CoscotFunction< T >

The Coscot interpolation function.

Implements the Coscot interpolation function proposed by Maria Magnusson Seger (maria@isy.liu.se) in the context of tomographic reconstruction. It provides a fast transition between the pass- and stop-bands and minimal ripple outside the transition region. Both properties are important for this application and can be tuned by the parameters m and h (with defaults 3 and 0.5). The function is defined by

It can be used as a functor, and as a kernel for resamplingConvolveImage() to create a differentiable interpolant of an image.

#include "vigra/resizeimage.hxx"
Namespace: vigra

## Member Typedef Documentation

typedef T argument_type

| the unary functor's argument type

typedef T result_type

| the splines polynomial order

typedef T value_type

| the kernel's value type

## Member Function Documentation

unsigned int derivativeOrder | ( |  | ) | const`[inline]`

| Derivative order of the function: always 0.

result_type operator() | ( | argument_type | x | ) | const`[inline]`

| function (functor) call

value_type operator[] | ( | value_type | x | ) | const`[inline]`

| index operator--same as operator()

ArrayVector<double> const& prefilterCoefficients | ( |  | ) | const`[inline]`

| Prefilter coefficients for compatibility with vigra::BSpline. (array has zero length, since prefiltering is not necessary).

double radius | ( |  | ) | const`[inline]`

| Radius of the function's support. Needed for resamplingConvolveImage(), equals m.

The documentation for this class was generated from the following file:

- vigra/resizeimage.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.5.0 (7 Dec 2006)